summarize.clones {aCGH} | R Documentation

## Extracting summary information for all clones

### Description

`summarize.clones` function is the text equivalent of `plotFreqStat` function - it summarizes the frequencies of changes for each clone accross tumors and when available assigns statistics. The resulting table can be easily exported.

### Usage

    summarize.clones(aCGH.obj, resT = NULL, pheno = rep(1, ncol(aCGH.obj)), rsp.uniq = unique(pheno), thres = 0.25, factor = 2.5, all = length(rsp.uniq) == 1 && is.null(resT), titles = if (all) "all" else rsp.uniq)

### Arguments

`aCGH.obj` | `aCGH.obj` object here
`resT` | Data frame having the same structure as the result of applying `mt.maxT` or `mt.minP` functions from Bioconductor's `multtest` package for multiple testing. The result is a data frame including the following 4 components: 'index', 'teststat', 'rawp' and 'adjp'.Default is the unique levels of the phenotype. Not used when `all` is TRUE.
`pheno` | phenotype to compare
`rsp.uniq` | `rsp.uniq` specified the codes for the groups of interest. Default is the unique levels of the phenotype. Not used when `all` is TRUE.
`thres` | `thres` is either a vector providing unique threshold for each sample or a vector of the same length as number of samples (columns in `data`) providing sample-specific threshold. If `aCGH.obj` has non-null `sd.samples`, then threshold is automatically replaced by tumor-specific sd multiplied by `factor`. Clone is considered to be gained if it is above the threshold and lost if it below negative threshold. Defaults to 0.25
`factor` | `factor` specifies the number by which experimental variability should be multiples. used only when tumor specific variability in `aCGH.obj` is not NULL. Defaults to 2.5
`all` | `all` specifies whether samples should be analyzed by subgroups (TRUE) or together (FALSE)
`titles` | `titles` names of the groups to be used. Default is the unique levels of the `pheno`.

### Value

Returns matrix containg the following information for each clones: annotation (same as in `clones.info`), number and proportion of samples where clone is present,gained and lost; and the same in each group if more than one group. Additionally, if significance comparison has been done, value of the statistic, unadjusted p-value and adjusted p-values are included for each clone.

### Author(s)

Jane Fridlyand

### See Also

`plotFreqStat`, `aCGH`

### Examples

    data(colorectal)
    summarize.clones(colorectal)

[Package aCGH version 1.8.0 Index]